* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: sans-serif;
}

body {
    background: aqua;
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
}

.wrapper {
    width: 330px;
    height: 330px;
    position: relative;
    border-radius: 7px;
    perspective: 1000px;
    transform-style: preserve-3d;
}

.wrapper:hover .front-side {
    transform: rotateY(-180deg);
}

.wrapper:hover .back-side {
    transform: rotateY(0deg);
}

.card {
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 7px;
    backface-visibility: hidden;
    transition: 0.7s;
}

.wrapper .front-side img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 7px;

}

.wrapper .back-side img {
    width: 100px;
    height: 100px;
    border-radius: 50%;

}

.wrapper .back-side {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    align-items: center;
    background-color: #fff;
    padding: 40px 10px;
    transform: rotateY(180deg);
}

.wrapper .back-side .info {
    text-align: center;
}

.back-side .social-icons a {
    text-decoration: none;
    width: 40px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    background-color: aqua;
    display: inline-block;
    border-radius: 50%;
    margin: 0 5px;
    border: 2px solid transparent;
    transition: background-color 0.4s ease;

}

.back-side .social-icons a:hover {
    background-color: transparent;
    border: 2px solid aqua;
}

.back-side .info h3 {
    margin-bottom: 10px;
}